haxr-3000.11.5.1: XML-RPC client and server library.

Safe Haskell | Safe-Inferred
Language | Haskell2010

Network.XmlRpc.Pretty

Description

This is a fast non-pretty-printer for turning the internal representation of generic structured XML documents into Lazy ByteStrings. Like in Text.Xml.HaXml.Pretty, there is one pp function for each type in Text.Xml.HaXml.Types, so you can pretty-print as much or as little of the document as you wish.

Synopsis

- document :: Document i -> ByteString
- content :: Content i -> ByteString
- element :: Element i -> ByteString
- doctypedecl :: DocTypeDecl -> ByteString
- prolog :: Prolog -> ByteString
- cp :: CP -> ByteString

# Documentation

document :: Document i -> ByteString Source #

Render a `Document` to a `ByteString`.

content :: Content i -> ByteString Source #

element :: Element i -> ByteString Source #

doctypedecl :: DocTypeDecl -> ByteString Source #

prolog :: Prolog -> ByteString Source #

cp :: CP -> ByteString Source #